'textbox margin
'   设置文本框的左侧和右侧的边距。
'   hWndControl:  控件的句柄 (例如  HWND_FORM1_TEXTBOX1)
'   nLeftMargin:   左侧边距的大小。
'   nRightMargin: 右侧边距的大小。
Sub FF_TextBox_SetMargins (ByVal hWndControl as HWnd, _
                           ByVal nLeftMargin as Long, _
                           ByVal nRightMargin as Long) 
    
    '检查窗口句柄是否有效
    If IsWindow(hWndControl) Then  
       ' Set the margins
       SendMessageW hWndControl, EM_SETMARGINS, _
                      EC_LEFTMARGIN Or EC_RIGHTMARGIN, _
                      MAKELONG(nLeftMargin, nRightMargin)
    End If  
    
End Sub

